Category : composer-php

I need to install via composer a private package from the corporate namespace in Gitlab CI. Dependency in composer.json. "repositories": [ { "type": "git", "url": "[email protected]:namespace/package.git" } ], "require": { "namespace/package": "dev-master", } In .gitlab.ci.yml image: registry.gitlab.com/namespace/project:1.0.0 stages: – deploy .setup_ssh: &setup_ssh – ‘command -v ssh-agent >/dev/null || ( apt-get update -y && apt-get install ..

Read more

I am working on a project and in order to run the project I have to run: docker-compose run –rm cli composer install -o However, there are several packages that gives this error while downloading: Failed to download composer/package-versions-deprecated from dist: curl error 28 while downloading https://api.github.com/repos/composer/package-versions-deprecated/zipball/b174585d1fe49ceed21928a945138948cb394600: Connection timed out after 10001 milliseconds Syncing composer/package-versions-deprecated ..

Read more

I am trying to execute composer update within a Docker container (FROM php:5.6-apache) in order to download private repositories, but I am getting as result: [ComposerDownloaderTransportException] curl error 60 while downloading https://company.com/packages.json: SSL certificate problem: certificate has expired I tried to download the certificate on curl website and add it on my php.ini file as ..

Read more

I have been using this pre-made docker-compose-laravel Setup for my website https://github.com/aschmelyun/docker-compose-laravel. After installing my local dev environment and adding the logic i tried deploying the project via DigitalOcean’s Droplet service. When running the command to install composer docker-compose run –rm composer install i get the following common error message /var/www/html/vendor/doctrine does not exist and ..

Read more

I’m building a Docker image with Alpine, php7.2-fpm and Composer. The problem happens while trying to install Composer, which uses https to download the installer via php. I added the repository to be able to install php7.2 (which is used to install composer) and its packages: RUN wget -O /etc/apk/keys/phpearth.rsa.pub https://repos.php.earth/alpine/phpearth.rsa.pub && echo "https://repos.php.earth/alpine/v3.7" >> ..

Read more

I have a Docker Container installed with PHP 7.4 and Composer 1.10.1 but whenever I my application has a composer.json with a repository in versions "dev-master" it expects an key to the repository as tho it was private, but they’re all public. Example of one of the repositories in composer.json: … "require": { "kkamkou/tp-minify": "dev-master", ..

Read more

I am getting Host key verification failed error on this docker file. SSH credentials are working fine as RUN git clone [email protected]:XXXX/YYY-XXX-YYY-XXX.git step is working fine but when RUN –mount=type=ssh,id=id_rsa RUN php -d memory_limit=2G $(which composer) install –no-progress –no-dev I am getting host key verification failed error. FROM base as build RUN curl https://files.magerun.net/n98-magerun2.phar -o ..

Read more